Skip to main content
GET
/
customer-events
List customer events
curl --request GET \
  --url https://sandbox-api.finpace.example/v1/customer-events \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "eventId": "evt_01JQ9MVH9K1MSA6D0H8N7ZQ5RQ",
      "partyId": "<string>",
      "channel": "web",
      "type": "inbound-call",
      "purpose": "loan application status enquiry",
      "outcome": "information-provided",
      "agentId": "agt_1048",
      "occurredAt": "2023-11-07T05:31:56Z",
      "linkedResourceType": "loan-application",
      "linkedResourceId": "clapp_01JQ9MQ6WZ5W2DGWHHMDXPGM3E"
    }
  ],
  "pagination": {
    "pageSize": 50,
    "nextPageToken": "eyJvZmZzZXQiOjUwfQ=="
  }
}

Authorizations

Authorization
string
header
required

OAuth 2.0 with client credentials for machine integrations and authorization code for delegated user sessions.

Headers

X-Request-Id
string

Caller-generated correlation identifier used for tracing.

Maximum string length: 80

Query Parameters

partyId
string
required
channel
string
from
string<date-time>
to
string<date-time>
pageSize
integer
default:50

Maximum number of records to return.

Required range: 1 <= x <= 200
pageToken
string

Opaque continuation token returned by a previous page.

Response

Customer events returned

items
object[]
pagination
object